package com.app.resiliency;

import java.util.Arrays;
import java.util.List;

public class Failover {

    public static void main(String args[]) {

        if (args.length > 0) {
            List<String> arguments = Arrays.asList(args);
            if(arguments.contains("AZ") && arguments.size() == 3) {
                String vpcId = arguments.get(1);
                String azId = arguments.get(2);
                AZFailover azFailover = new AZFailover(vpcId, azId);
                azFailover.failover();
            } else if (arguments.contains("EC2") && arguments.size() == 2) {
                String vpcId = arguments.get(1);
                InstanceFailover instanceFailover = new InstanceFailover(vpcId);
                instanceFailover.failover();
            } else if (arguments.contains("RDS") && arguments.size() == 2) {
                String vpcId = arguments.get(1);
                RDSFailover rdsFailover = new RDSFailover(vpcId);
                rdsFailover.failover();
            } else {
                throw new IllegalArgumentException("Invalid argument passed");
            }
        }
    }
}